Description

I had an issue with a machine that the FQDN was not resolved by Ruby (but other programs did).

But instead of empty array, it returned an empty string inside an array as a single element.

The dns.rb checker then tried to resolve the ip address using 'reverse = Resolv.getname(ip.to_s)', but failed, entered the attempt to

resolve it as IPv6, and return an error about resoling IPv6.

I think it is related to https://projects.theforeman.org/issues/23754 but not the same, but the issue is the actual ability to report the

right message, and not to try and tell that there is no resolving for IPv6, that does not exists in the first place.

Related issues:

Related to Installer - Bug #23754: Foreman 1.17 auto-installation fails with ... Feedback 05/31/2018

History

#1 - 06/09/2018 02:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/275 added

#2 - 06/09/2018 03:31 PM - Anonymous

- Related to Bug #23754: Foreman 1.17 auto-installation fails with "Forward DNS 10.3.1.11 did not reverse resolve to any hostname." added

#3 - 04/11/2019 04:26 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Rejected
